p {
   font-size: 1.5rem;
}

input {
   &.ng-invalid.ng-touched {
      border: 1px solid red;
   }

   &.ng-valid.ng-touched {
      border: 1px solid green;
   }
}
@import url("https://fonts.googleapis.com/css?family=Roboto");

* {
   box-sizing: border-box;
   margin: 0;
   padding: 0;
}

body {
   font-family: "Roboto", sans-serif;
   font-size: 1rem;
   line-height: 1.6;
   background-color: #fff;
   color: #333;
}

.container {
   max-width: 1000px;
   margin: 0 auto;
   padding: 1rem;
}

a {
   text-decoration: none;
}

a:hover {
   color: #666;
}

ul {
   list-style: none;
}

img {
   width: 100%;
}

.btn {
   display: inline-block;
   background: #333333;
   color: #fff;
   padding: 0.4rem 1.3rem;
   font-size: 1rem;
   border: none;
   cursor: pointer;
   margin-right: 0.5rem;
   transition: opacity 0.2s ease-in;
   outline: none;

   &:disabled {
      background: #ccc;
      color: #000;
      cursor: not-allowed;
   }

   &:hover {
      opacity: 0.8;
   }
}

.btn.btn-danger {
   background: #dc3545;
   color: #fff;
}

.form-control {
   display: block;
   margin-top: 0.3rem;
   margin-bottom: 0.5rem;

   label {
      display: block;
      font-weight: bold;
      font-size: 1rem;
      margin-bottom: 0.5rem;
   }

   input {
      margin-bottom: 0;
   }

   .validation {
      color: red;
   }
}

.card {
   padding: 1rem;
   border: #ccc 1px dotted;
   margin: 0.7rem 0;

   p {
      display: flex;
      justify-content: space-between;

      span.completed {
         text-decoration: line-through;
      }
   }
}

input,
select,
textarea {
   display: block;
   width: 100%;
   padding: 0.4rem;
   font-size: 1.2rem;
   border: 1px solid #ccc;
   margin-bottom: 1rem;
}

hr {
   margin: 0.5rem 0;
}
.red {
   background-color: red;
}
.green {
   background-color: green;
}
p {
   &.error {
      color: red;
   }
}
